Description

In the Issues List, I'd like to be able to see Time Spent and Estimated Time so that, after a release, I can do some analysis on how

we did in estimation so that we can improve our estimates over time. Some people might not want these columns to appear there all

the time, but I'm fine with them appearing all the time or if there is UI for choosing which columns appear in the issues list.

Related issues:

Related to Redmine - Patch #1582: Add Time Spent Column to Issue List Closed

History

#1 - 2008-08-14 00:24 - Eric Davis

Estimated Time is alreadey available, you just need to make it visable in the Administration panel or select it as a column in a custom query.  My

patch in #1582 adds a Spent Time column.

#2 - 2008-08-14 01:48 - Kevin Dangoor

Wow, I wouldn't have expected that to be in the Administration panel. I found it there. That's certainly less than ideal, but it works for me.

Thanks for the patch, I hope it gets integrated. That will give me what I need!

#3 - 2008-08-22 07:38 - Ewan Makepeace

Eric,

Actually you don't have to go to administration - from any view click the Edit button, turn off the Default columns checkbox and then you can

customize what columns to include in that view.

On the other hand if you add Estimated Time to the list of columns from Admin then it will appear in every view. All depends whether you want this all

of the time or just on certain issue displays.

#4 - 2008-08-22 07:54 - Eric Davis

- Status changed from New to Closed

Ewan Makepeace wrote:

Actually you don't have to go to administration - from any view click the Edit button, turn off the Default columns checkbox and then you can

customize what columns to include in that view.

 The Edit will only work if you are using a custom query.  If you are using the default "View All Issues" it isn't available.  But you are correct, you can

configure the columns displayed in a custom query.

Closing issue, author wasn't aware of the Administration panel setting.
